# ppmtoyuvsplit

Updated: 06 March 2003
Table Of Contents

## NAME

ppmtoyuvsplit - convert a PPM image to 3 subsampled raw YUV files

## SYNOPSIS

ppmtoyuvsplit basename [ppmfile]

## DESCRIPTION

This program is part of Netpbm.

ppmtoyuvsplit reads a PPM image as input. Produces 3 raw files basename.Y, basename.U and basename.V as output.

The output files are the subsampled raw YUV representation of the input PPM image, as required by the Stanford MPEG codec. The Y output file contains a byte for each pixel in the image, with the rows going from top to bottom and the columns within each row going left to right. The U and V output files are arranged similarly, except that each byte represents a square of 4 pixels of the image. The value is the arithmetic mean of the value for each of those 4 pixels. Hence, the Y file is 4 times the size of the U file or V file.

The YUV values are scaled according to CCIR.601, as assumed by MPEG.

## SEE ALSO

yuvsplittoppm, ppmtoyuv, ppmtoeyuv, ppmtompeg, ppm

## AUTHOR

Copyright (C) 1993 by Andre Beck. (Andre_Beck@IRS.Inf.TU-Dresden.de)

Based on ppmtoyuv.c

## Table Of Contents

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR